Groovy Documentation

## groovy.json
[Groovy] Class StreamingJsonDelegate

    java.lang.Object
      groovy.json.StreamingJsonDelegate

    class StreamingJsonDelegate

Property Summary
`boolean` | `first`
`java.io.Writer` | `writer`

Constructor Summary
`StreamingJsonDelegate(java.io.Writer w, boolean first)`

Method Summary
`static java.lang.Object` | `cloneDelegateAndGetContent(java.io.Writer w, Closure c, boolean first = true )`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### first

    boolean first

### writer

    java.io.Writer writer

Constructor Detail

### StreamingJsonDelegate

    StreamingJsonDelegate(java.io.Writer w, boolean first)

Method Detail

### cloneDelegateAndGetContent

    static java.lang.Object cloneDelegateAndGetContent(java.io.Writer w, Closure c, boolean first = true )

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

Groovy Documentation